PCI-DSS Security Feature

In line with PCI-DSS standard, we have upgraded SSL communications. Through the Application Penetration Test activities conducted by PCI-DSS vendors, found some vulnerabilities, and we has solved the problem.

The vulnerability solution, involves access to the application senangPay (https://app.senangpay.my),

  • Weak cipher
  • HSTS not implemented

 

A. We’ve Upgraded our Security Feature

1. We no longer support old browser to access our app for a better and highly secure transactions.

2. We suggest you (merchant) and your customer update your browser to the latest version to avoid any upcoming issue that may occur. 

3. Here are the list of minimum supported browser version for your reference : 

and other browser that uses Protocol TLS 1.2 .